Permalink
Browse files

It seems that gems are far happier when we depend on activerecord in …

…all the right places (the ones that use it).
  • Loading branch information...
1 parent 5387456 commit c26d94c26d2a2a8081cf37b076ddf5a6dec490a2 @parndt parndt committed Aug 31, 2011
@@ -22,6 +22,7 @@
s.executables = %w(#{Pathname.glob(gempath.join('bin/*')).map{|d| d.relative_path_from(gempath)}.sort.join(" ")})
s.add_dependency 'refinerycms-core', '= #{::Refinery::Version}'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'devise', '~> 1.4.3'
s.add_dependency 'friendly_id_globalize3', '~> 3.2.1'
@@ -16,6 +16,7 @@ Gem::Specification.new do |s|
s.executables = %w()
s.add_dependency 'refinerycms-core', '= 1.0.6'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'devise', '~> 1.4.3'
s.add_dependency 'friendly_id_globalize3', '~> 3.2.1'
View
@@ -28,6 +28,7 @@
]
s.add_dependency 'refinerycms-core', '= #{::Refinery::Version}'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'dragonfly', '~> 0.9.0'
s.add_dependency 'rack-cache', '>= 0.5.3'
end
@@ -97,6 +97,7 @@ Gem::Specification.new do |s|
]
s.add_dependency 'refinerycms-core', '= 1.0.6'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'dragonfly', '~> 0.9.0'
s.add_dependency 'rack-cache', '>= 0.5.3'
end
View
@@ -28,6 +28,7 @@
]
s.add_dependency 'refinerycms-core', '= #{::Refinery::Version}'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'friendly_id_globalize3', '~> 3.2.1'
s.add_dependency 'globalize3', '~> 0.1'
s.add_dependency 'awesome_nested_set', '~> 2.0'
@@ -121,6 +121,7 @@ Gem::Specification.new do |s|
]
s.add_dependency 'refinerycms-core', '= 1.0.6'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'friendly_id_globalize3', '~> 3.2.1'
s.add_dependency 'globalize3', '~> 0.1'
s.add_dependency 'awesome_nested_set', '~> 2.0'
View
@@ -28,6 +28,7 @@
]
s.add_dependency 'refinerycms-core', '= #{::Refinery::Version}'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'dragonfly', '~> 0.9.0'
s.add_dependency 'rack-cache', '>= 0.5.3'
end
@@ -90,6 +90,7 @@ Gem::Specification.new do |s|
]
s.add_dependency 'refinerycms-core', '= 1.0.6'
+ s.add_dependency 'activerecord', '~> 3.0.10'
s.add_dependency 'dragonfly', '~> 0.9.0'
s.add_dependency 'rack-cache', '>= 0.5.3'
end
View
@@ -21,6 +21,8 @@
s.require_paths = %w(lib)
s.executables = %w(#{Pathname.glob(gempath.join('bin/*')).map{|d| d.relative_path_from(gempath)}.sort.join(" ")})
+ s.add_dependency 'activerecord', '~> 3.0.10'
+
s.files = [
'#{%w( **/{*,.rspec,.gitignore,.yardopts} ).map { |file| Pathname.glob(gempath.join(file)) }.flatten.reject{|f|
!f.exist? or f.to_s =~ /\.gem$/ or (f.directory? and f.children.empty?)
@@ -15,6 +15,8 @@ Gem::Specification.new do |s|
s.require_paths = %w(lib)
s.executables = %w()
+ s.add_dependency 'activerecord', '~> 3.0.10'
+
s.files = [
'app',
'app/controllers',
View
@@ -22,6 +22,7 @@
s.executables = %w(#{Pathname.glob(gempath.join('bin/*')).map{|d| d.relative_path_from(gempath)}.sort.join(" ")})
s.add_dependency 'refinerycms-core', '= #{::Refinery::Version}'
+
# RSpec
s.add_dependency 'rspec-rails', '~> 2.6'
s.add_dependency 'fuubar'
@@ -16,6 +16,7 @@ Gem::Specification.new do |s|
s.executables = %w()
s.add_dependency 'refinerycms-core', '= 1.0.6'
+
# RSpec
s.add_dependency 'rspec-rails', '~> 2.6'
s.add_dependency 'fuubar'

0 comments on commit c26d94c

Please sign in to comment.